{
  "name": "@x82-softworks/aws-lambda-bundler",
  "version": "1.0.0",
  "description": "Zip bundler for aws-lambda for consistent hashes",
  "main": "./dist/index.js",
  "scripts": {
    "test": "jest --config=./tests/jest.config.js",
    "lint": "eslint .",
    "lint:fix": "eslint --fix --ext .js,.jsx .",
    "build": "babel --delete-dir-on-start -D src --out-dir dist"
  },
  "repository": {
    "type": "git",
    "url": "git@gitlab.com:x82-open-source/npm/aws-lambda-bundler.git"
  },
  "preferGlobal": true,
  "keywords": [
    "aws",
    "lambda",
    "hash",
    "bundle",
    "zip"
  ],
  "bin": {
    "aws-lambda-bundler": "./bin/aws-lambda-bundler"
  },
  "husky": {
    "hooks": {
      "pre-push": "npm run lint &&  npm run test"
    }
  },
  "author": "opensource <opensource@x82.io>",
  "license": "MIT",
  "bugs": {
    "url": "https://gitlab.com/x82-open-source/npm/aws-lambda-bundler/-/issues"
  },
  "homepage": "https://gitlab.com/x82-open-source/npm/aws-lambda-bundler",
  "dependencies": {
    "@babel/runtime": "^7.19.4",
    "@x82-softworks/zip": "^0.1.0",
    "commander": "^7.2.0",
    "fs-extra": "^9.1.0",
    "globby": "^6.0.0"
  },
  "licence": "MIT",
  "devDependencies": {
    "@babel/cli": "^7.13.10",
    "@babel/plugin-transform-runtime": "^7.13.10",
    "@babel/preset-env": "^7.13.10",
    "eslint-plugin-jest": "^24.3.2",
    "eslint-plugin-sort-imports-es6-autofix": "^0.6.0",
    "husky": "^5.2.0",
    "jest": "^26.6.3"
  }
}
